---
title: "2021 in Books"
date: 2021-12-30T08:29:09-08:00
---
My good friend [George](https://tinyletter.com/altthoughtprocess/) set himself a challenge a while back to read 52 books in a calendar year. He succeeded (as George is wont to do), and that achievement has always stuck in my mind as impressive[^1]. I don't think I'd _ever_ be able to equal it (especially not now, with Work-From-Home removing my most common reading time - the commute), but I did start tracking my reading as a matter of interest. To that end, I present my year-of-reading-in-review, with book-by-book recaps and the [full list]({{< ref "#full-list" >}}) at the end:


# Recaps

## Terry Pratchett's Discworld

I've been a fan of Terry Pratchett for my entire adult life - indeed, arguably since _before_ my adult life, since I think I was about 8 the first time I picked up The Colour Of Magic in an airport WHSmith and immediately fell in love. I tore through the series (often having to ask my Dad for help when I was able to recognize the "shape" of a pun-setup but lacked the context - "_If there was a musician who was both a thief and a holy man, why would that be funny? -> [Felonious Monk](https://en.wikipedia.org/wiki/Thelonious_Monk)_"), and caught up to real-time publication with [The Truth](https://en.wikipedia.org/wiki/The_Truth_(novel)) in 2000 (coincidentally, in my opinion this marks the start of his Golden Era of his three best mainline novels, continuing with Thief Of Time and Night Watch).

Since Terry is no Brandon Sanderson and was unable to write books faster than I could read them, I looped around and began re-reading earlier books, as well as branching out to read his non-Discworld content like the [Nomes](https://en.wikipedia.org/wiki/The_Nome_Trilogy), the [Johnny Series](https://en.wikipedia.org/wiki/Johnny_Maxwell), and [Good Omens](https://en.wikipedia.org/wiki/Good_Omens) (my first introduction to Neil Gaiman!). I even convinced my Dad to escort me to the Discworld Convention in a hotel in glamorous Hinckley, where I was star-struck upon meeting the great man himself at a signing. I was even more overwhelmed when he noticed my childhood-nickname-slash-online-handle ("_scubbo_") on my convention badge, and asked permission to use it in an upcoming book. I was no less proud when the book was finally published (Sir PTerry was kind enough to post a copy to me with a personal note) and found that the name was used not for a bold hero, nor a wily wizard, but a variety of thick military soup. It fits, I can't deny it.

In 2007, when Sir PTerry announced he had been diagnosed with early onset Alzheimer's disease (a.k.a. "_The Embuggerance_"), I resolved to stop reading his new books - firstly, because I didn't want to witness the mental decline of a beloved author, and secondly because I didn't want to ever have to accept that there were no more Terry Pratchett books to read. Nevertheless, last year, I began a full end-to-end re-read of the Discworld series as an antidote to Pandemic Depression, which I finished in August of this year. It was just as wonderful as I remembered - though I empathized with Granny Weatherwax's grouchy philanthropy a lot more this time around! The last few books do reveal a _little_ of his cognitive decline - there were a few disjointed paragraphs, several cases of unnecessary repetition, and at least one case where a character mentally referred back to an implied conversation that had not, in fact, happened (all of which are arguably more the Editors' fault than the Author's) - but were still a joy to read.

One could write volumes on the themes and insights in the Discworld - indeed, many have - and I'm not going to pretend that I can meaningfully advance that conversation. Instead, I'll briefly note that several themes I noticed on this re-read seem particularly prescient and relevant when read today:
* Your freedom _to_ do something should not impose on someone else's freedom _from_ something (hunger, fear, cold, poverty, etc.)
* The well-established "[Sam Vimes Theory of Economic Injustice](https://wiki.lspace.org/Sam_Vimes_Theory_of_Economic_Injustice)" - paraphrasable as "it's expensive to be poor"
* The police are just another street gang, albeit a particularly well-funded, well-connected, and highly-visible one. The fact that their actions are _sometimes_ aligned with the welfare of citizens is a pleasant coincidence that arises from the fact that citizens' labour is valuable to the gang bosses (the wealthy and privileged), and broken tools don't work well.
  * Sam Vimes was an _interesting_ character on a re-read. His unabashed personal interpretations of justice (using and abusing the letter or the spirit of the law as suits him at the time) _happen_ to be ones with which I agree - but, as with Captain America's ["You Move" Speech](https://i1.wp.com/voyagecomics.com/wp-content/uploads/2020/11/Captain-America-no-you-move.jpg?fit=740%2C370&ssl=1), I feel uncomfortable with a philosophy which essentially boils down to the tautological "_whatever you think is right, is right_".
* "_Evil starts when you begin to treat people as things_" - _contra_ my uncertainty in the bullet above, this is right on the money.

(Readers of Going Postal who are of a technical bent may notice an Easter Egg paying homage to Sir PTerry in this site. I won't spoil it, but here's a clue in [ROT13](https://rot13.com/): purpx gur urnqref)

## Blindsight

Don't worry, the rest of the sections won't be so waffley :P

This book had consistently shown up on Best Of SF lists, to the point that it's apparently a meme on [/r/printSF](https://www.reddit.com/r/printSF), so I thought I should give it a go.

It was...fine? Perhaps even I'd go so far as to say "good"? Perhaps it suffered from unattainably-heightened expectations. It contained _tons_ of cool and interesting concepts in areas I'm interested in like linguistics, philosophy, intelligence, transhumanism, and evolution (strong [Remembrance of Earth's Past](https://en.wikipedia.org/wiki/Remembrance_of_Earth%27s_Past) vibes there), but didn't narratively explore or deliver on any of them (with the possible exception of one - arguably the core concept of the book, so I won't spoil it). It felt like this book would have benefitted from adopting a style like [The Science Of Discworld](https://en.wikipedia.org/wiki/The_Science_of_Discworld) or [Gödel, Escher, Bach](https://en.wikipedia.org/wiki/G%C3%B6del,_Escher,_Bach), where narrative chapters alternate with exposition of the concepts introduced.

## So You Want To Talk About Race

This was a recommendation from my partner, passed on from a discussion on race in America in the wake of George Floyd's murder.

It was a "great" read - "great" in scare-quotes because it was absolutely not enjoyable or pleasant, and didn't attempt to be. I was passingly familiar with many of the concepts and structural inequalities described, but this book really threw them into stark relief and highlighted their compounding effects.

## Gnomon

My favourite of Nick Harkaway's sci-fi. In a near alternate future where a benevolent AI overseer has rendered London nearly crime-free, a police officer investigates a death that unravels...everything. Semiotics, technocivics, and modern mythology - this is very much My Shit.

I can't remember what prompted me to re-read this, but I'm glad that I did. It wasn't _quite_ so mind-bendy as I remember from the first pass through, but I had thankfully forgotten enough of the whodunnit-y aspects that I was still able to be surprised at some points, and the writing stands on its own even without suspense.

## Permutation City

More sci-fi, this time from Greg Egan. I'd read and thoroughly enjoyed Diaspora (a _super_ far-future story, which starts with humanity having splintered into three distinct sub-species (variously instantiated in biohacked bodies, androids, and pure machine-code) and develops from there), and this is his work that I see most-highly recommended. In it, sufficiently-wealthy humans are uploaded into a digital afterlife, but the reliance on costly physical hardware means that the less-wealthy are forced to "after-live" at a lower run rate, only _sampling_ their experience rather than living in real-time.

I liked it, but I preferred Diaspora.

The whole premise felt reminiscent of Black Mirror, Stephenson's [Fall; or, Dodge in Hell](https://en.wikipedia.org/wiki/Fall;_or,_Dodge_in_Hell), and the excellent and horrifying short story [Lena](https://qntm.org/mmacevedo) - all of which I consider compliments. The concept of an {{< inlinespoiler >}}infinitely-expanding computation-substrate with built-in scarcity controlled by the founders{{< /inlinespoiler >}} [^2] was probably a wet-dream for crypto-bros, which is marginally distasteful but doesn't itself spoil the actual story.

As with Diaspora, the story relies on some hand-waved quasi-physics to introduce a new source of complexity, adventure, or depth. Diaspora's feels much more feasible than Permutation City's, which is itself lampshaded by the fact that the person suggesting that theory is in-universe regarded as a crackpot. It's here that Permutation City first fell down - I could swallow Diaspora's _Deus Ex Scientia_ as being marginally feasible, and also because it was treated as a genuine point of inquiry ("_OK, if the universe operates like this, then what interesting things happen?_"). PC's felt more like "_I need X to be true in order for the story to progress - therefore it is true_".

The second weak point was characterization. Diaspora was basically character-less: it was more about the concepts and societal and evolutionary pressures involved, with the characters being mere mouthpieces for those ideas - and that's fine! Permutation City tried to make the characters more fleshed out, individual, and sympathetic; and failed.

Not a bad read, by any stretch - but I'll probably re-read Diaspora again, and I doubt I'll re-read this.

## number9dream

I'd read and enjoyed a bunch of David Mitchell ([no, not him](https://www.youtube.com/watch?v=om7O0MFkmpw)) many years ago - he's best-known for [Cloud Atlas](https://en.wikipedia.org/wiki/Cloud_Atlas_(novel)), but for my money [The Bone Clocks](https://en.wikipedia.org/wiki/The_Bone_Clocks) is the best one (I am biased, perhaps, by my preference for books that are the cornerstone of their respective authorial universes (Dark Tower fans, rise up!), and by my pathological rejection of the [inevitability of death](https://www.nickbostrom.com/fable/dragon.html)). I noticed this on my friend Jeff's bookshelf and he kindle lent it to me.

As with Blindsight (though in a different way), it was fine-to-moderately-good, but felt hampered by a lack of narrative. It was certainly evocative and atmospheric, but I can really only recall a single event in the entire book, and the ending in particular felt like massive anti-climax. Perhaps this was a stylistic choice that I'm simply too plebian to understand.

## The Player Of Games // Use Of Weapons

My two favourite books by Iain M. Banks. Conscious that this post's already extremely long, I won't go into detail here - just to say that, if you like Sci-Fi but haven't read Iain M. Banks yet, you really should try him - and either of these is the best starting point (followed by the other one, then probably go on to Excession as your 3rd).

## Elements Of Style

_The_ writing style guide. Having spent so much effort on trying to improve coworkers' writing, I figured I should give this a read. It's certainly showing its age, with some of the recommendations sounding a little fusty nowadays (and the recommendation in the appendix to change email subject every few replies being positively horrifying!), but several good points shine through - particularly, to put modifiers and modificands close together.

## City Of Stairs // City Of Blades

Conscious of the lack of new books on my list so far this year, I looked at a list of "the new best Fantasy" and picked this trilogy (yes, I know...) of "_vast conspiracies, dead gods, and buried histories_". The first book was a gripping spy story coupled with the gradual uncovering of a censored pantheon, with a little historical empire-and-injustice and hints of a King-In-Exile (think Lan, Aragorn, etc. - but more Barbarian than Fighter/Ranger) thrown in for good measure. Unfortunately, the second book lost a lot of the spark of novelty that sustained the first, and I barely slogged through to completing it - in hindsight, I should have stopped a lot earlier.

## Transition

While on a week away in Healdsberg, my partner and I wandered around a bookstore, where I found this - an Iain M. Banks book that I didn't even know existed! As Permutation City reminded me of Fall, so this reminded me of The Bone Clocks - a shadowy supernatural organization that lives among normies and carries out secretive operations. Sadly, this was a weaker book - like number9dream, the narrative just sort-of fizzled out. If you're not going to go full hard sci-fi and actually explore the _physical_ ramifications of your [single change](https://medium.com/@dnlholliday/neuromancer-and-change-everything-science-fiction-2f076a3bdadb) (or emulate Brandon Sanderson and make the system _itself_ interesting), then you need to make the reader care about the story that arises in the _presence_ of that change. I _did_ care about the characters involved - right up until the last act, where it became clear there was going to be no closure for anyone.

## Dune // Dune Messiah

After glorying in the wonderful film adaptation that came out earlier this year, I figured it was time to re-read this series. It's not as good as I remember (_lots_ of repetition, obscure nonsensical verbal jousting and unnecessary mumbo-jumbo), but the bits that are good (philosophy, sociology, big-ass sandworms) are _great_. I'm currently 60% of the way through Children Of Dune, and hoping that this re-read will have me actually finish the series (last time I tapped out after God-Emperor).

## Not listed

I didn't count the comics that I read this year, including [The Mystery Of The Meanest Teacher](https://dc.fandom.com/wiki/The_Mystery_of_the_Meanest_Teacher:_A_Johnny_Constantine_Graphic_Novel) and most of the excellent [Unbeatable Squirrel Girl](https://en.wikipedia.org/wiki/The_Unbeatable_Squirrel_Girl) (all by Ryan North).

# Full list

42 books, of which:
* 40 fiction, 2 non-fiction (So You Want To Talk About Race?, Elements Of Style). Of the fiction:
  * 29 Comic Fantasy (Pratchett)
  * 9 Sci-Fi (Blindsight, Gnomon, Permutation City, number9dream, 3\*Banks, 2\*Herbert)
  * 2 Fantasy (City of Stairs/Blades)
* 41 by men, 1 by a non-man (SYWTTAR?)
* 41 by white people, 1 by a person of colour (SYWTTAR? - note that I am assuming that Greg Egan is white, though there is famously [no picture of him on the Web](http://www.gregegan.net/images/GregEgan.htm))
* 28 rereads (Pratchett up to Making Money, Gnomon, Iain M. Banks and Frank Herbert books), 14 new reads

Clearly I have a ways to go in addressing these imbalances in 2022! Suggestions welcome.

1. Witches Abroad
2. Small Gods
3. Blindsight
4. So You Want To Talk About Race?
5. Gnomon
6. Permutation City
7. Lords And Ladies
8. Men At Arms
9. Soul Music
10. Interesting Times
11. Maskerade
12. Feet Of Clay
13. Hogfather
14. Jingo
15. The Last Continent
16. Carpe Jugulum
17. The Fifth Elephant
18. The Truth
19. Thief Of Time
20. The Amazing Maurice And His Educated Rodents
21. number9dream
22. Night Watch
23. The Wee Free Men
24. Monstrous Regiment
25. Hat Full Of Sky
26. Going Postal
27. Thud!
28. Wintersmith
29. Making Money
30. Unseen Academicals
31. I Shall Wear Midnight
32. Snuff
33. Raising Steam
34. The Shepherd's Crown
35. The Player Of Games
36. Use Of Weapons
37. Elements Of Style
38. City Of Stairs
39. City Of Blades
40. Transition
41. Dune
42. Dune Messiah[^3]

[^1]: As George himself would be the first to point out, quantity does not necessarily imply quality; though, as I recall, the books he read were pretty "worthy", insofar as that's a meaningful descriptor.

[^2]: Spoiler-tagging introduced as [here](http://oostens.me/posts/hugo-inline-spoiler-shortcode/).

[^3]: This was converted from a bulleted list to a numbered one with the following neat vim snippet: `:let i=1 | g/^/s/\* /\=i.'. '/ | let i=i+1`.